package nxm.sys.intr;

import nxm.sys.lib.Intrinsic;

/** Handle a block ELSE control statement. <br>
    <br>
    The {@link If} intrinsic handles selection of the proper branch in an
    IF..ELSEIF..ELSE..ENDIF block, so this simply serves as an indicator that
    the preceding IF (or ELSEIF) is complete, and branches the code to the ENDIF.

    @author Jeff Schoen
 */
public class Else extends Intrinsic {

  /** default constructor */
  public Else () {}

  @Override
  public int process () {
    if (M.macro!=null) {
      M.macro.nextIndex=nextIndex;
    }
    return FINISH;
  }
}
